Bug 979132 - openshift-origin-broker.spec is doing some very odd things, needs a clean up
openshift-origin-broker.spec is doing some very odd things, needs a clean up
Status: CLOSED NEXTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Adam Miller
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 13:28 EDT by Adam Miller
Modified: 2015-05-14 22:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 13:13:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2013-06-27 13:28:30 EDT
Description of problem:

Currently in the spec file, all files are copied recursively into the buildroot and then moved around based on conditionals.

    cp -r . %{buildroot}%{brokerdir}

This should not be done, the files should be installed (laid down in the buildroot) once and not moved around so much. This isn't inherently an error but it's bad practice.
Comment 1 Adam Miller 2013-07-30 13:13:58 EDT
Troy beat me to it, but this has been cleaned up.

https://github.com/openshift/origin-server/pull/3219

Note You need to log in before you can comment on or make changes to this bug.